package javax.security.auth.callback;

import java.io.Serializable;

public class NameCallback implements Callback, Serializable
{
    private static final long serialVersionUID = 3770938795909392253L;
    private String prompt;
    private String defaultName;
    private String inputName;
    
    public NameCallback(String prompt) {
        if (prompt == null || prompt.length() == 0) {
            throw new IllegalArgumentException();
        }
        this.prompt = prompt;
        return;
    }
    
    public NameCallback(String prompt, String defaultName) {
        if (prompt == null || prompt.length() == 0 || defaultName == null || defaultName.length() == 0) {
            throw new IllegalArgumentException();
        }
        this.prompt = prompt;
        this.defaultName = defaultName;
        return;
    }
    
    public String getPrompt() {
        return this.prompt;
    }
    
    public String getDefaultName() {
        return this.defaultName;
    }
    
    public void setName(String inputName) {
        this.inputName = inputName;
    }
    
    public String getName() {
        return this.inputName;
    }
}
